import NavLayout from "@/components/layout/NavLayout"
const routeMap = [
    {
        path: "/personal",
        name: "personal",
        component: NavLayout,
		children: [
            {
                path: "/personal/index",
                name: "personalIndex",
                meta: {
                    title: "我的",
                    hasTop: false,
                    hasBot: true
                },
				component: () => import("@/views/personal/index.vue")
            },
            {
                path: "/personal/changePassword",
                name: "personalChangePassword",
                meta: {
                    title: "修改密码",
                    hasTop: false,
                    hasBot: false
                },
				component: () => import("@/views/personal/changePassword.vue")
            },
		]
    }
];

export default routeMap;