import NavLayout from "@/components/layout/NavLayout"
const routeMap = [
    {
        path: "/replenishment",
        name: "replenishment",
        component: NavLayout,
		children: [
            {
                path: "/replenishment/device/list",
                name: "replenishmentDeviceList",
                meta: {
                    title: "设备商品概况",
                    hasTop: false,
                    hasBot: false
                },
				component: () => import("@/views/replenishment/device/list.vue")
            },
            {
                path: "/replenishment/device/detail",
                name: "replenishmentDeviceDetail",
                meta: {
                    title: "设备商品概况",
                    hasTop: false,
                    hasBot: false
                },
				component: () => import("@/views/replenishment/device/detail.vue")
            },
            {
                path: "/replenishment/recordList",
                name: "replenishmentRecordList",
                meta: {
                    title: "补货记录",
                    hasTop: false,
                    hasBot: false
                },
				component: () => import("@/views/replenishment/recordList.vue")
            },
		]
    }
];

export default routeMap;